commit:     004487da0999e8f9c78fd05cab2a4bd9eba2a0d8
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 16 16:30:53 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Aug 16 22:08:44 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=004487da

app-arch/bzip3: bump to 1.5.3

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-arch/bzip3/Manifest           |  1 +
 app-arch/bzip3/bzip3-1.5.3.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/app-arch/bzip3/Manifest b/app-arch/bzip3/Manifest
index ecfe20c6347a..6d46eb2518e7 100644
--- a/app-arch/bzip3/Manifest
+++ b/app-arch/bzip3/Manifest
@@ -1 +1,2 @@
 DIST bzip3-1.5.2.tar.xz 284260 BLAKE2B 
5dc8040ca101a301c4b8e88b7b913bf9a0a40493f61055b67e7260e066db00ce6ad6ce46dc0c9f4c7f8116785ec607606ae084d80318e080a52d401b2d8c78f9
 SHA512 
15e521629b2340374fa631a7639008e971435df4f7285d1aca026167322d00d7e388eedfdb8163ac39287c907c13a4ae677469e94b442e5ee223c0fb4f737091
+DIST bzip3-1.5.3.tar.xz 284788 BLAKE2B 
44033765eeecd159265d234c5bf9faf03df18722fbc241322cabf2adbdd55aad9e835f7ef55e93694da25a3a306850f2b97c3e902ade3dabed5c6fd07be0f9eb
 SHA512 
390d8f1b16838ce552a149aead8b60b520d69d7e3c75660dbeefb7772365aa02846a0dbc88f1d4fca28b5138d8c1a24e712765e0cfdb00a5ae0a35830a1a95ed

diff --git a/app-arch/bzip3/bzip3-1.5.3.ebuild 
b/app-arch/bzip3/bzip3-1.5.3.ebuild
new file mode 100644
index 000000000000..8e466c22c6ec
--- /dev/null
+++ b/app-arch/bzip3/bzip3-1.5.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A better and stronger spiritual successor to BZip2"
+HOMEPAGE="https://github.com/kspalaiologos/bzip3/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/kspalaiologos/${PN}";
+else
+       
SRC_URI="https://github.com/kspalaiologos/${PN}/releases/download/${PV}/${P}.tar.xz";
+
+       KEYWORDS="~amd64 ~arm64 ~loong ~x86"
+fi
+
+LICENSE="LGPL-3+"
+SLOT="0"
+
+src_configure() {
+       # ./configure script will default to Clang if it is found on the system,
+       # force the use of CC selected by the user with CC=$(tc-getCC)
+       econf CC="$(tc-getCC)"
+}
+
+src_install() {
+       default
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to